<?
if (isset($ID)) {
  $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($goods['id'])) {
  die('К сожалению товар не найден или он был удален');
}

if ($goods['unlink'] == 1 && $level < 3) {
  die('Ошибка: Товар удален');
}

if (isset($_GET['delete'])) {
  $delete = (int) $_GET['delete'];
  $delete = $sql -> fetch("SELECT * FROM `shop_comments` WHERE `id` = '$delete' LIMIT 1");
  
  if ($delete['id'] && $level > 1) {
    if ($user['id'] != $delete['id_user']) {
      admin_log($user['id'], 'Магазин|Комментарии', 'Удаление сообщения [red]\"' . $delete['msg'] . '\"[/red] пользователя [url=?func=user.profile&id=' . $delete['id_user'] . ']' . login($delete['id_user']) . '[/url]');
    }
    
    $sql -> delete("DELETE FROM `shop_comments` WHERE `id` = '$delete[id]' LIMIT 1");
    $messages[] = 'Сообщение успешно удалено';    
  }
}

if (isset($_GET['truncate']) && $level > 2) {
  $sql -> delete("TRUNCATE `shop_comments` WHERE `id_goods` = '$goods[id]'");
  admin_log($user['id'], 'Магазин|Комментарии', 'Удаление всех комментариев у товара [url=/index.php?func=shop.goods&id=' . $goods['id'] . ']' . $goods['name'] . '[/url]');
  $_SESSION['message'] = 'Комментарии успешно очищены';
  header('Location: /?func=' . $func);
  exit;
}

if (isset($_POST['msg']) && $level > 0) {
  $msg = $sql->esc($_POST['msg']);
/// Если нет покупок то проверяем заполнен ли вмид и если нет не даём писать
$pokupka = $sql -> selectCount("SELECT COUNT(*) FROM `shop_pays` WHERE `id_user` = '".$user['id']."' AND `pays` = '1'");
if ($pokupka == 0) {
//if ($user['wmid']==0)$err[] = 'Не заполнены реквизиты в анкете !'; /// by_Mstivoj
}
  if (strlen2($msg) > 1024) {
    $err[] = 'Сообщение слишком длинное';
  } elseif (strlen2($msg) < 2) {
    $err[] = 'Сообщение слишком короткое';
  }
  
  if (!isset($err)) {
    
    if (isset($_POST['reply'])) {
      $reply = (int) $_POST['reply'];
      journal($reply, 'comment', "Пользователь [b]$user[login] [/b], ответил".($user['pol']==0?'a':null)." вам в [url=/index.php?func=shop.comments&id=" . $goods['id'] . "]комментариях[/url] к ".($reply == $goods['id_user'] ? 'вашему' : '')." товару  [url=/index.php?func=shop.goods&id=" . $goods['id'] . "]" . $goods['name'] . "[/url]");
    }
    
    if ($user['id'] != $goods['id_user'] && (!isset($reply) || $reply != $goods['id_user'])) {
      journal($goods['id_user'], 'comment', "Пользователь [b]$user[login] [/b], оставил".($user['pol']==0?'a':null)." [url=/index.php?func=shop.comments&id=" . $goods['id'] . "]комментарий[/url] к вашему товару  [url=/index.php?func=shop.goods&id=" . $goods['id'] . "] " . $goods['name'] . " [/url]");

/*sms оповещение*/
$TelSms = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
if ($TelSms['MyTelefonOk'] == 1 && $TelSms['tel_komm']== 1 && $TelSms['date_last'] < time()-600 && $TelSms['wmr'] >= 1)
{

    if ($sql -> select("SELECT * FROM `smsantiflud` WHERE `id_user` = '".$TelSms['id']."' AND `mod` = 'tov_kom'") == 0)
    {
    include_once FUNC.'smsc_api.php';
    $r = send_sms($TelSms['MyTelefon'], "У Вас новый комментарий к товару 4i4i.Ru");

    if ($r[1] > 0)
        {
					
        $sql -> update("UPDATE `users` SET `wmr` = `wmr` - '1' WHERE `id` = '".$TelSms['id']."' LIMIT 1");
		$BySMS = "Списание за смс оповещение о новом комментарии к товару на мобильный телефон.";
        $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('".time()."', 'Mysms', '$TelSms[id]', '-1', '$BySMS')");
		$sql -> insert("INSERT INTO `smsantiflud`(`time`, `id_user`, `mod`) VALUES('".time()."', '".$TelSms['id']."', 'tov_kom')");
        }
    }
}
/*sms оповещение*/

      if (function_exists('mail')) {
        $email = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");
        if ($email['em_mod'] == 1) {

			// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $email['login'], // {hello} . Приветствие  
	'message' => 'Пользователь <b>'.$user['login'].'</b>, оставил'.($user['pol']==0?'a':null).' новый комментарий к вашему товару.
			', // обязательно текст письма, но само зависит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/?func=shop.comments&id=' . $goods['id'] . '', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => ''. $goods['name'] .'' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Комментарий к товару';  // обязательно заголовок письма
        $addAdress = $email['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {

        }
else  echo $OutMailer; // если есть ошибки, их покажет
}

/*      
if ($email['icq_mod'] == 1) {
if($email['icq']!=NULL){
require FUNC . 'WebIcqLite.class.php';
define('UIN', 687336743);
define('PASSWORD', 'qazxswedc123');

$icq = new WebIcqLite();

if($icq->connect(UIN, PASSWORD)){

$bro= 'Система оповещений 4i4i.Ru: 
У вас новый комментарий к товару от '. $user['login'] .' 
http://' . urlencode($_SERVER['SERVER_NAME']) . '/?func=shop.comments&id=' . $goods['id'] . ' ';
$bro = iconv('UTF-8', 'CP1251', ' '.$bro.' ');
if(!$icq->send_message(''.$email['icq'].'',' '.$bro.' '))
{
//echo $icq->error;
}
}
}
}
*/     
        
      }
      
   
      
      
    }
    

    $sql -> insert("INSERT INTO `shop_comments` (`id_user`, `id_goods`, `time`, `msg`) VALUES ('" . $user['id'] . "', '" . $goods['id'] . "', '$time', '$msg')");
    
    $_SESSION['message'] = 'Сообщение успешно отправлено';
    header('Location: /?func=' . $func . '&id=' . $goods['id'] . '&sid=' . mt_rand(000, 999));
    exit;
  }
}

if (isset($_GET['reply'])) {
  $insert = login($_GET['reply'], 0) . ', ';
}

$system['title'] = 'Комментарии - ' . text($goods['name']);
require SYS . 'header.php';

if ($level > 0) {
  ?>
  <form class="form_t" action="/?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;sid=<?= mt_rand(000, 999)?>" method="POST" style="margin: 2px;" enctype="multipart/form-data">
    <? if (is_file(THEME . 'php/form.textarea.php')) {
      require THEME . 'php/form.textarea.php';
    } else {
      ?><textarea style="width: 75%;" name="msg" id="msg" placeholder="Cообщение..."><?= $insert?></textarea><br /><?
    }
    ?>
    <?= (isset($_GET['reply']) ? '<input type="hidden" name="reply" value="' . (int) $_GET['reply'] . '" />' : '')?>
    <button type="submit" class="btn">Отправить</button> &nbsp;  <a href="/?func=<?= $func?>&amp;id=<?= $goods['id']?>" class="btn">Обновить</a> 
  </form>
  <?  
}

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `shop_comments` WHERE `id_goods` = '$goods[id]'");

if ($k_post == 0) {
?>
  <div class="alert" style="margin: 2px;">Список сообщений пуст</div>
<?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `shop_comments` WHERE `id_goods` = '$goods[id]' ORDER BY `time` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    $num++;
?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
    <? if ($level > 1) { ?>
      <a href="/?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;delete=<?= $post['id']?>&amp;page=<?= $page?>" class="close">&times;</a>
    <? } ?>
    
      <?= avatar($post['id_user'])?> <?= login($post['id_user'], 1)?> <?= vremja($post['time'])?><br />
      <?= text_out($post['msg'])?><br />
    
    <? if ($level > 0 && $user['id'] != $post['id_user']) { ?>
      [<a href="/?func=<?= $func?>&amp;id=<?= $goods['id']?>&amp;reply=<?= $post['id_user']?>" class="reply">ответ</a>] 
    <? } ?>
    </div>
<?
  }

  if ($k_page > 1) { 
    str('/?func=' . $func . '&amp;id=' . $goods['id'] . '&amp;', $k_page, $page);
  }  
}

?>
<div class="foot">
&laquo; <a href="/goods/<?= $goods['id']?>">На страницу товара</a><br />
</div>